aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBlaise Thompson <blaise@untzag.com>2017-10-16 08:54:52 -0500
committerBlaise Thompson <blaise@untzag.com>2017-10-16 08:54:52 -0500
commit4387f96aef0dcafbbce06e76cf19224537d98772 (patch)
tree37a3624de1baa3d51216a49551d9047e90175bfe
parent261f1a039bd432c9a7e5d37aa403aa3cd5c6d5ed (diff)
adjustable periscopes
-rw-r--r--README.md2
-rw-r--r--appendix/hardware.tex35
-rw-r--r--appendix/public.tex10
-rwxr-xr-xbuild.sh57
-rw-r--r--dissertation.pdfbin2151655 -> 2096934 bytes
5 files changed, 100 insertions, 4 deletions
diff --git a/README.md b/README.md
index a4c9b31..2452abd 100644
--- a/README.md
+++ b/README.md
@@ -1,3 +1 @@
This is my dissertation.
-
-hello world this is a test
diff --git a/appendix/hardware.tex b/appendix/hardware.tex
index 7a0f409..c69d7e9 100644
--- a/appendix/hardware.tex
+++ b/appendix/hardware.tex
@@ -1 +1,34 @@
-\chapter{Hardware}
+\chapter{Hardware} % -----------------------------------------------------------------------------
+
+
+\section{Adjustable periscopes} % ----------------------------------------------------------------
+
+
+Our light sources take on horizontal or vertical polarizations according to which tuning process is
+used. %
+Our experiments are opinionated about polarization, so some strategy for aligning polarization is
+necessary. %
+Desire fully reflective, easy to switch without changing path length (delay) etc... For several
+years, we used brewster-angle polarization unifiers... %
+These worked by... %
+But these were very difficult to align, and they were too lossy for some of the weaker tuning
+processes. %
+As an alternative, we designed a more traditional periscope with adjustability for our unique
+needs. %
+
+
+\subsection{Alignment} % -------------------------------------------------------------------------
+
+
+\begin{enumerate}
+ \item in flipped polarization:
+ \begin{itemize}
+ \item stage near
+ \item upper mirror far
+ \end{itemize}
+ \item in kept polarization:
+ \begin{itemize}
+ \item stage x and upper mirror height near
+ \item lower mirror far
+ \end{itemize}
+\end{enumerate}
diff --git a/appendix/public.tex b/appendix/public.tex
index 843c760..89cc6af 100644
--- a/appendix/public.tex
+++ b/appendix/public.tex
@@ -1,4 +1,12 @@
% http://scifun.chem.wisc.edu/Thesis_Awards/chapter_guidelines.html
-\chapter{Public}
+\chapter{Public} % -------------------------------------------------------------------------------
+
+\section{Why spectroscopy?}
+
+
+\section{CMDS in practice} % ---------------------------------------------------------------------
+
+
+\subsection{Ultrafast light sources} \ No newline at end of file
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..d021877
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,57 @@
+set -e # force exit upon error
+
+function printColor {
+ YELLOW='\033[0;33m'
+ NC='\033[0m' # No Color
+ printf "${YELLOW}$*${NC}\n"
+}
+
+function printLine {
+ printColor "%`tput cols`s"|tr ' ' '#'
+}
+
+function printThenPython {
+ printColor "python $*"
+ python "$*"
+}
+
+if [[ $# -eq 0 ]] ; then
+ echo 'please provide an argument in [data, simulations, figures, documents, all]'
+ exit 1
+fi
+
+# process data
+if [[ "$1" = "all" ]] || [[ "$1" = "data" ]] ; then
+ printLine
+ printColor data
+ #printThenPython "data/TA A.py"
+ #printThenPython "data/TA B.py"
+ #printThenPython "data/TG A.py"
+ #printThenPython "data/TG B.py"
+fi
+
+# make figures
+if [[ "$1" = "all" ]] || [[ "$1" = "figures" ]] ; then
+ printLine
+ printColor figures
+ #printThenPython "figures/absorbance.py"
+ #printThenPython "figures/m_factors.py"
+ #printThenPython "figures/movies_fitted.py"
+ #printThenPython "figures/movies_combined.py"
+ #printThenPython "figures/power_factors.py"
+ #printThenPython "figures/driven_initial.py"
+ #printThenPython "figures/TA_artifacts.py"
+ #printThenPython "figures/TG_artifacts.py"
+fi
+
+# render documents
+if [[ "$1" = "all" ]] || [[ "$1" = "dissertation" ]] ; then
+ printLine
+ printColor documents
+ pdflatex --interaction=nonstopmode dissertation
+ bibtex main
+ pdflatex --interaction=nonstopmode dissertation
+ pdflatex --interaction=nonstopmode dissertation
+fi
+
+printColor finished
diff --git a/dissertation.pdf b/dissertation.pdf
index 5c5599e..aef1b9f 100644
--- a/dissertation.pdf
+++ b/dissertation.pdf
Binary files differ